GDP/meta-ivi rocko wayland-ivi-extension 2.0 integration issues

Friedrich, Eugen (ADITG/ESB) efriedrich at de.adit-jv.com
Wed Jan 24 10:02:49 EST 2018


Ho Oscar,

Could you please point me to the repository and the branch where the weston update to base line will be available?

Is it somewhere here: https://github.com/GENIVI/meta-ivi?


Best regards

Eugen Friedrich
Engineering Software Base (ADITG/ESB)

Tel. +49 5121 49 6921

> -----Original Message-----
> From: Andreasson, Oscar (Pelagicore)
> [mailto:oscar.andreasson at pelagicore.com]
> Sent: Freitag, 19. Januar 2018 16:59
> To: stephen.lawrence at renesas.com; Friedrich, Eugen (ADITG/ESB); Ucan, Emre
> (ADITG/ESB)
> Cc: genivi-dev at lists.genivi.org; genivi-ivi-layer-management at lists.genivi.org
> Subject: Re: GDP/meta-ivi rocko wayland-ivi-extension 2.0 integration issues
> 
> Hi,
> 
> On Fri, 2018-01-19 at 13:31 +0000, Stephen Lawrence wrote:
> [SNIP]
> > > 	   For the Baseline I would take the wayland-ivi-extension 2.1 and
> > > for weston there are two options:
> > > 	   1)  weston 2.0.0 plus
> > > https://cgit.freedesktop.org/wayland/weston/commit/?h=3.0&id=deee858
> > > 		This version is included in yocto already so minimum risk, only
> > > additional patch is not optimal, and it will be not the referenced
> > > version in the compliance proposal (maybe not that important)
> > > 	   2)  weston 3.0.0 clean
> > > 		This is not in the yocto so potential risk is higher, from the
> > > feature set point of view:
> > > https://lists.freedesktop.org/archives/wayland-
> > > devel/2017-August/034749.html (not much)
> > > 	Internally in ADIT we are not switched to 3.0.0 We just have done
> > > some short checks on Broxton and Renesas, those where fine.
> >
> > Disclosure: with my Renesas hat on I would prefer Weston 2.0 + patch.
> > Although a patch is not great, Weston 2.0 is the version used in YP
> > 2.4 (rocko) Poky Meta and is the version we have tested and developed
> > against in recent months ahead of an upcoming YP 2.4 based Yocto BSP
> > release. We choose Weston
> > 2.0 in part because that was the guidance we received from the
> > Compositor
> > (ivi-extension) maintainers. Of course it is also the version you guys
> > developed and tested with.
> 
> Fair enough, I agree with the reasoning and to not block the issue anymore let's
> go to Weston 2.0 + patch. I will fix that in my patchset on monday ;).
> 
> [SNIP]
> 
> --
> Oscar Andreasson
> Lead Software Engineer
> 
> Pelagicore AB
> Östrahamngatan 16, Gothenburg, Sweden
> +46 (0)761337765
> oscar.andreasson at pelagicore.com
> www.pelagicore.com
> 
> PELAGICORE a part of LUXOFT
> 
> Registered Office Gothenburg, Sweden
> Registration No. 556780-4199


More information about the genivi-ivi-layer-management mailing list